.btn {
    color: #304A0F;
    border: none;
    outline: none;
    cursor: pointer;
    height: rem(66);
    font-weight: 600;
    font-size: rem(20);
    line-height: rem(24);
    padding: rem(4) rem(24);
    user-select: none;
    text-align: center;
    white-space: nowrap;
    position: relative;
    text-decoration: none;
    align-items: center;
    display: inline-flex;
    vertical-align: middle;
    justify-content: center;
    background: linear-gradient(89.85deg, #FFF16F 1.56%, #FFDA91 99.87%);
    box-shadow: 0px 4px 4px rgba(42, 78, 75, 0.07), inset 0px 1px 1px rgba(255, 255, 255, 0.52);
    border-radius: 10px;
    fill: #000;

    &:hover {
        color: #304A0F;
        background: linear-gradient(89.85deg, #FFC632 1.56%, #FFE769 99.87%);
        text-decoration: none;
        fill: #000;
    }

    &:active {
        background: #ffdd2d;
    }

    &:focus,
    &.focus {
        outline: 0;
    }

    span {
        display: inline-block;
    }

    i {
        font-size: 0;
        line-height: 0;
        display: inline-block;
        height: rem(24);
    }

    span + i {
        margin-left: rem(6);
    }

    i + span {
        margin-left: rem(6);
    }
}

.btn-sm {
    color: #304A0F;
    height: rem(48);
}

.btn-link {
    margin: 0;
    padding: 0;
    color: $black;
    border: none;
    outline: none;
    cursor: pointer;
    display: inline-flex;
    background: transparent;
    text-decoration: underline;

    &:hover {
        color: $black;
        text-decoration: none;
    }
}

.btn-view {
    color: $azure;
    cursor: pointer;
    height: rem(46);
    font-weight: 500;
    font-size: rem(16);
    line-height: 140%;
    white-space: nowrap;
    border-radius: 8px;
    text-decoration: none;
    background: transparent;
    padding: rem(4) rem(16);
    border: 1px solid #D9E9E7;
    display: inline-flex;
    align-items: center;
    justify-content: center;

    i {
        width: 8px;
        height: 8px;
        font-size: 0;
        line-height: 0;
        position: relative;
        display: inline-block;
        margin-right: rem(20);

        &:after,
        &:before {
            z-index: 1;
            content: '';
            position: absolute;
            background: $azure;
        }

        &:after {
            left: 0;
            top: 3px;
            width: 8px;
            height: 2px;
        }

        &:before {
            top: 0;
            left: 3px;
            width: 2px;
            height: 8px;
        }
    }

    &:hover {
        color: $azure;
        background: #D9E9E7;
        text-decoration: none;
    }

    @include media-breakpoint-up(md) {
        height: rem(52);
        min-width: rem(180);
    }
}

.w-100 {
    width: 100%;
}
